package com.springcore.cabserver.service;

import Entity.Booking;
import Models.DataModel;
import java.util.Collection;
import javax.annotation.security.RolesAllowed;
import javax.inject.Inject;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

@Path("/example")
public class ExampleService 
{
    @Inject DataModel dm;
    
    @GET
    @Path("get-booking")
    @RolesAllowed({"customer"})
    public Collection<Booking> getBooking()
    {
        return dm.getBooking();
    }
    
    @GET
    public String get() 
    {
        return "Hello World";
    }
}
