/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/JSP_Servlet/Servlet.java to edit this template
 */
package servlets;

import Entity.Booking;
import client.ApiInterface;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Collection;
import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.eclipse.microprofile.rest.client.inject.RestClient;

@WebServlet(name = "app", urlPatterns = {"/app"})
public class app extends HttpServlet {

    @Inject @RestClient ApiInterface a;
    
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        try ( PrintWriter out = response.getWriter()) {
            
            out.println("<!DOCTYPE html>");
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Application</title>");            
            out.println("</head>");
            out.println("<body>");
            
            try
            {
                Collection<Booking> booking = a.getBooking();
                
                out.println("<center>");
                out.println("<table border='1' cellpadding='5' cellspacing='5'>");
                out.println("<thead>");
                out.println("<tr>");
                out.println("<td>CabId</td>");
                out.println("<td>RegistrationNo</td>");
                out.println("<td>City</td>");
                out.println("<td>Customer Name</td>");
                out.println("<td>Customer Phone</td>");
                out.println("<td>Start Ride Time</td>");
                out.println("<td>Status</td>");
                out.println("</tr>");
                out.println("</thead>");
                out.println("<tbody>");
                
                for(Booking b:booking)
                {
                    if(b.getCabId().getStatus()==1)
                    {
                        out.println("<tr>");
                        out.println("<td>"+b.getCabId().getCabId()+"</td>");
                        out.println("<td>"+b.getCabId().getRegistrationNo()+"</td>");
                        out.println("<td>"+b.getCabId().getCity()+"</td>");
                        out.println("<td>"+b.getCustomerid().getCustomername()+"</td>");
                        out.println("<td>"+b.getCustomerid().getPhoneno()+"</td>");
                        out.println("<td>"+b.getStartridetime()+"</td>");
                        out.println("<td>Onride</td>");
                        out.println("</tr>");
                    }
                    else
                    {
                        out.println("<tr>");
                        out.println("<td>"+b.getCabId().getCabId()+"</td>");
                        out.println("<td>"+b.getCabId().getRegistrationNo()+"</td>");
                        out.println("<td>"+b.getCabId().getCity()+"</td>");
                        out.println("<td>-</td>");
                        out.println("<td>-</td>");
                        out.println("<td>-</td>");
                        out.println("<td>Free</td>");
                        out.println("</tr>");
                    }
                    
                }
                
                out.println("</tbody>");
                out.println("<tfoot></tfoot>");
                out.println("</table>");
                out.println("</center>");
                
                out.println("<form method='POST' action='application'>");
                out.println("<select id='city' name='city'>");
                out.println("<option>Surat</option>");
                out.println("<option>Ahmedabad</option>");
                out.println("<option>Mumbai</option>");
                out.println("<option>Baroda</option>");
                out.println("</select>");
                out.println("<button>Submit</button>");
                out.println("</form>");
            }
            catch(Exception e)
            {
                out.println("Something went wrong");
                out.println("<br>");
                out.println(e);
            }
            
            out.println("</body>");
            out.println("</html>");
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
